import 'package:equatable/equatable.dart';

sealed class RolesPermissionEvent extends Equatable {
  const RolesPermissionEvent();
}

class GetRoles extends RolesPermissionEvent {
  const GetRoles();
  @override
  List<Object?> get props => [];
}

class GetBatchStatus extends RolesPermissionEvent {
  final List<String> uuids;
  const GetBatchStatus(this.uuids);
  @override
  List<Object?> get props => [uuids];
}

class GetDeviceRecords extends RolesPermissionEvent {
  final String uuid;

  const GetDeviceRecords(this.uuid);
  @override
  List<Object?> get props => [uuid];
}

class GetDeviceAutomationRecords extends RolesPermissionEvent {
  final String uuid;
  const GetDeviceAutomationRecords(this.uuid);
  @override
  List<Object?> get props => [uuid];
}

class ChangeTapSelected extends RolesPermissionEvent {
  final bool selected;
  const ChangeTapSelected(this.selected);

  @override
  List<Object?> get props => [selected];
}
